Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.network
Class RayTracingJob

    java.lang.Object
      threeD.raytracer.network.RayTracingJob

public class RayTracingJob
extends java.lang.Object

A RayTracingJob object provides an implementation of net.sf.j3d.network.Job that renders a section of an image.

Nested Class Summary
`static class` | `RayTracingJob.RayTracingOutputHandler`

Constructor Summary
`RayTracingJob()` Constructs a new RayTracingJob object.
`RayTracingJob(java.lang.String sceneUri, int x, int y, int dx, int dy, int w, int h, int ssw, int ssh, long jobId)` Constructs a new RayTracingJob object.

Method Summary
`java.lang.String` | `encode()`
`Scene` | `getScene()`
`static RGB[][]` | `processOutput(java.lang.String data, RGB[][] image, int x, int y, int dx, int dy)`
`void` | `run()`
`void` | `set(java.lang.String key, java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RayTracingJob

    public RayTracingJob()

  Constructs a new RayTracingJob object.

### RayTracingJob

    public RayTracingJob(java.lang.String sceneUri,
                         int x,
                         int y,
                         int dx,
                         int dy,
                         int w,
                         int h,
                         int ssw,
                         int ssh,
                         long jobId)

  Constructs a new RayTracingJob object.

Parameters:
  `sceneUri` - URI pointing to XML scene data.
  `x` - X coordinate of upper left corner of the section to be rendered.
  `y` - Y coordinate of upper left corner of the section to be rendered.
  `dx` - Width of section to be rendered.
  `dy` - Height of section to be rendered.
  `w` - Width of whole image.
  `h` - Height of whole image.
  `ssw` - Supersample width.
  `ssh` - Supersample height.
  `jobId` - Unique id for this job (often the time in ms is used)

Method Detail

### processOutput

    public static RGB[][] processOutput(java.lang.String data,
                                        RGB[][] image,
                                        int x,
                                        int y,
                                        int dx,
                                        int dy)

### getScene

    public Scene getScene()

  Returns:
    The scene referenced by this RayTracingJob object.

### encode

    public java.lang.String encode()

  See Also:
    `net.sf.j3d.network.Job#encode()`

### set

    public void set(java.lang.String key,
                    java.lang.String value)

  See Also:
    `net.sf.j3d.network.Job#set(java.lang.String, java.lang.String)`

### run

    public void run()

  See Also:
    `Runnable.run()`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray